Passes
======

pass
----

.. doxygenstruct:: migraphx::internal::pass
   :members:
   :undoc-members:

dead_code_elimination
---------------------

.. doxygenstruct:: migraphx::internal::dead_code_elimination
   :members:
   :undoc-members:

eliminate_common_subexpression
------------------------------

.. doxygenstruct:: migraphx::internal::eliminate_common_subexpression
   :members:
   :undoc-members:

eliminate_concat
----------------

.. doxygenstruct:: migraphx::internal::eliminate_concat
   :members:
   :undoc-members:

eliminate_contiguous
--------------------

.. doxygenstruct:: migraphx::internal::eliminate_contiguous
   :members:
   :undoc-members:

eliminate_identity
------------------

.. doxygenstruct:: migraphx::internal::eliminate_identity
   :members:
   :undoc-members:

eliminate_pad
-------------

.. doxygenstruct:: migraphx::internal::eliminate_pad
   :members:
   :undoc-members:

propagate_constant
------------------

.. doxygenstruct:: migraphx::internal::propagate_constant
   :members:
   :undoc-members:

rewrite_rnn
-----------

.. doxygenstruct:: migraphx::internal::rewrite_rnn
   :members:
   :undoc-members:

schedule
--------

.. doxygenstruct:: migraphx::internal::schedule
   :members:
   :undoc-members:

simplify_algebra
----------------

.. doxygenstruct:: migraphx::internal::simplify_algebra
   :members:
   :undoc-members:

simplify_reshapes
-----------------

.. doxygenstruct:: migraphx::internal::simplify_reshapes
   :members:
   :undoc-members:
